petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscInitializeFortran

Routine that should be called soon AFTER the call to PetscInitialize() if one is using a C main program that calls Fortran routines that in turn call PETSc routines.

### Synopsis

    PetscErrorCode PetscInitializeFortran(void)

Collective on PETSC_COMM_WORLD

### Notes

PetscInitializeFortran() initializes some of the default viewers, communicators, etc. for use in the Fortran if a user's main program is written in C. PetscInitializeFortran() is NOT needed if a user's main program is written in Fortran; in this case, just calling PetscInitialize() in the main (Fortran) program is sufficient.

### See Also

PetscInitialize()

### Keywords

Mixing C and Fortran, passing PETSc objects to Fortran

### Level

beginner

### Location

src/sys/objects/ftn-custom/zstartf.c

### Examples

src/vec/vec/examples/tutorials/ex7.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages